La apk de App inventor no cumple requisitos de Google ?

Foro sobre App inventor. Te puedes registrar para colaborar y hacer preguntas.
jmartinez183
Mensajes: 1
Registrado: Mié Jul 10, 2019 3:29 pm

La apk de App inventor no cumple requisitos de Google ?

Mensajepor jmartinez183 » Mié Jul 10, 2019 4:17 pm

Publiqué en la tienda Google una aplicacion hecha en app inventor 2. Me salió que debo actualizar la apk a la Api 9.0 (Api 28). Según Google, App inventor crea una apk Api 8.0 (Api 26).Google sugiere actualizar pero no sé como se hace. No entiendo claramente que debo hacer. Tambien me sugieren que debo utilizar el android bundle apk para hacer mas liviana la aplicación. Es esto posible después de utilizar app inventor2? Alguien me podría ayudar y explicarme como puedo actualizar la apk a la Api 9.0 y como utilizar el android bundle apk para hacer más liviana la aplicación.

admin
Site Admin
Mensajes: 196
Registrado: Sab Ago 06, 2016 8:27 pm

Re: La apk de App inventor no cumple requisitos de Google ?

Mensajepor admin » Vie Jul 12, 2019 5:59 pm

https://groups.google.com/forum/#!searchin/mitappinventortest/%22api$20level$2028%22%7Csort:date/mitappinventortest/gb2p4aDjLK4/bWHRvOK9CQAJ

Afortunadamente, no hay problema.

Lea esto atentamente para cumplir con los requisitos de nivel de API objetivo de Google Play. A partir del 1 de agosto de 2019, Google Play requiere que las nuevas aplicaciones apunten al menos a Android 9.0 (nivel de API 28) , y que las actualizaciones de la aplicación apunten a Android 9.0 desde el 1 de noviembre de 2019 . Hasta estas fechas, las aplicaciones nuevas y las actualizaciones de la aplicación deben apuntar al menos a Android 8.0 (nivel de API 26) . - Lo que AI hace ahora.

El mensaje de Google dice que " actualmente tiene como objetivo el nivel 26 de la API y (usted) debe tener como objetivo al menos el nivel 28 de la API para asegurarse de que se basa en las últimas API optimizadas para la seguridad". Los desarrolladores no tienen que actualizar / actualizar (hasta que GooglePlay World llegue a un finaliza el 1 de agosto o el 1 de noviembre de 2019). Para entonces, los magos del MIT tendrán tu espalda. MIT ha dicho que lanzarán un código que apuntará a API 28 :)



https://groups.google.com/forum/#!searc ... unFmbaAAAJ

Espere hasta que se proporcione el código requerido. ¿Cuando? Probablemente, cuando esté listo y antes del 1 de agosto, eso signifique en unas cuatro semanas.

admin
Site Admin
Mensajes: 196
Registrado: Sab Ago 06, 2016 8:27 pm

Re: La apk de App inventor no cumple requisitos de Google ?

Mensajepor admin » Vie Jul 12, 2019 6:42 pm

https://groups.google.com/forum/#!topic/mitappinventortest/Gr0Gkr37gKk

Google Play NO REQUIERE que los usuarios utilicen el paquete de aplicaciones de Android Julien. Google recomienda a los desarrolladores que utilicen la función. App Inventor 2 no puede generar / usar el AAB que se utiliza para optimizar el uso de los recursos en una aplicación. Si desea que su aplicación utilice AAB, utilizar el Java profesional de Android Studio en lugar de la aplicación Inventor 2. App Inventor 2 basado, porque es un entorno de codificación simplificada para el comienzo de los desarrolladores de Android utiliza un método 'simplificado' de la utilización de los recursos ya (pero no es AAB)

Vea también estos enlaces del foro:
https://groups.google.com/forum/#!msg/m ... V4JbVuAQAJ

y https://groups.google.com/forum/#!msg/m ... fZ116jBwAJ


Volver a “Foro de App inventor”

¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 1 invitado